load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl"

begTime = get_cpu_time()

DIR_in="/mnt/public/data/POGA/data/B20TRC5CN_1988_POGA/atm/hist/"
DIR_out="./"
files = systemfunc("ls "+DIR_in+"B20TRC5CN_1988_POGA.cam.h0.????-??.nc")

setfileoption("nc","Format","LargeFile") 

f=addfiles(files,"r")
ListSetType (f, "cat")
fNames = getfilevarnames(f[0])
numf=dimsizes(fNames)

print(""+fNames)

print("==============================")
var=f[0]->TS(0:0,0:0,0:0)
vNames=getVarDimNames(var)
delete(var)

numv=dimsizes(vNames)
print(""+vNames)

print("==============================")
nums=numf-1
Names=fNames(0:nums)
Names=""
n=0
do v=0,numf-1
   vvv=f[0]->$fNames(v)$!0
   if(all( vNames.ne.fNames(v)) .and. vvv.ne."time")then
      Names(n)=fNames(v)
      n=n+1
   end if
end do   

print(""+Names)

time= f[:]->time
;printVarSummary(time)
num_time=dimsizes(time)
num_file=dimsizes(files)
ta=0
tb=-1
tim=time
printMinMax(time,False)
delete(time)

print("-----------------ok1------------------------")
out=f[:]->TS
printVarSummary(out)
out&time=tim
printVarSummary(out)

  system("rm "+DIR_out+"TS.B20TRC5CN_1988_POGA.197901-198012.nc")
fout = addfile(DIR_out+"TS.B20TRC5CN_1988_POGA.197901-198012.nc","c")
fout->TS = out
do n=0,nums-1
   if(Names(n).eq."")then
      break
   end if
   print(""+Names(n))
   fout->$Names(n)$ = f[0]->$Names(n)$
end do

print("Plot generation time: " + (get_cpu_time() - begTime))
